# -*- coding: utf-8 -*-
# Generated by Django 1.10.4 on 2017-01-10 06:43
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import trunk.utils
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('branch', '0001_initial'),
        ('sites', '0002_alter_domain_unique'),
        ('forms', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event_id', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('name', models.CharField(max_length=200)),
                ('description', models.TextField()),
                ('start', models.DateTimeField()),
                ('end', models.DateTimeField()),
                ('location', models.CharField(max_length=200, null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('image', models.ImageField(blank=True, default=None, max_length=700, null=True, upload_to=trunk.utils.get_event_image_url)),
                ('display_activity_feed', models.BooleanField(default=True)),
                ('is_competition', models.BooleanField(default=False)),
                ('allow_rsvp', models.BooleanField(default=True)),
                ('allow_checkins', models.BooleanField(default=False)),
                ('fb_event_id', models.CharField(default=None, max_length=256, null=True)),
                ('view_count', models.IntegerField(default=0)),
                ('fb_last_updated', models.DateTimeField(null=True)),
                ('is_published', models.BooleanField(default=True)),
                ('latitude', models.FloatField(default=0.0)),
                ('longitude', models.FloatField(default=151.2195)),
                ('attending_users', models.ManyToManyField(related_name='attending_users', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='EventCheckin',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('checkedin_event', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='trunk.Event')),
                ('member', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='branch.StartupMember')),
            ],
        ),
        migrations.CreateModel(
            name='EventsBlacklist',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fb_event_id', models.CharField(default=None, max_length=256, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='JudgeRating',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rating', models.PositiveSmallIntegerField()),
                ('comment', models.CharField(max_length=500, null=True)),
                ('applicant', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='competition_applicant', to='branch.StartupMember')),
                ('form', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='forms.Form')),
                ('judge', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='judge', to='branch.StartupMember')),
            ],
        ),
        migrations.CreateModel(
            name='Major',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, unique=True)),
                ('displayed', models.CharField(default=None, max_length=200, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='School',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('displayed', models.CharField(default=None, max_length=200, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='StartupTreeStaff',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('staff', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='University',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250, unique=True)),
                ('short_name', models.CharField(max_length=20, unique=True)),
                ('program_name', models.CharField(blank=True, default=None, max_length=100, null=True)),
                ('created_on', models.DateField(auto_now_add=True)),
                ('admin', models.OneToOneField(default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
                ('site', models.OneToOneField(default=None, null=True, on_delete=django.db.models.deletion.SET_DEFAULT, to='sites.Site')),
                ('staffs', models.ManyToManyField(blank=True, related_name='staffs', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UniversityStyle',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('logo', models.ImageField(blank=True, default=None, max_length=700, null=True, upload_to=trunk.utils.get_uni_logo_url)),
                ('ori_logo', models.ImageField(blank=True, default=None, max_length=700, null=True, upload_to=trunk.utils.get_uni_logo_url)),
                ('markdown_about', models.TextField(default='')),
                ('about', models.TextField(default='')),
                ('first_color', models.CharField(default=None, max_length=7, null=True)),
                ('second_color', models.CharField(default=None, max_length=7, null=True)),
                ('feed', models.PositiveSmallIntegerField(choices=[(1, 'All Activities'), (2, 'Company Related Activities')], default=1)),
                ('eship_website', models.URLField(blank=True, default=None, null=True)),
                ('uni_website', models.URLField(blank=True, default=None, null=True)),
                ('main_css', models.FileField(blank=True, default=None, max_length=700, null=True, upload_to=trunk.utils.get_uni_css_url)),
                ('panel_css', models.FileField(blank=True, default=None, max_length=700, null=True, upload_to=trunk.utils.get_uni_css_url)),
                ('email_url', models.URLField(blank=True, default=None, null=True)),
                ('facebook_widget', models.TextField(blank=True, default=None, null=True)),
                ('twitter_widget', models.TextField(blank=True, default=None, null=True)),
                ('enable_global', models.PositiveSmallIntegerField(choices=[(0, 'Turn Off'), (1, 'Turn On')], default=1)),
                ('_university', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trunk.University')),
            ],
        ),
        migrations.AddField(
            model_name='university',
            name='style',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to='trunk.UniversityStyle'),
        ),
        migrations.AddField(
            model_name='startuptreestaff',
            name='universities',
            field=models.ManyToManyField(to='trunk.University'),
        ),
        migrations.AddField(
            model_name='school',
            name='university',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trunk.University'),
        ),
        migrations.AddField(
            model_name='event',
            name='checked_in',
            field=models.ManyToManyField(to='trunk.EventCheckin'),
        ),
        migrations.AddField(
            model_name='event',
            name='form',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='forms.Form'),
        ),
        migrations.AddField(
            model_name='event',
            name='interested_users',
            field=models.ManyToManyField(related_name='interested_users', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='event',
            name='organization',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='branch.Organization'),
        ),
        migrations.AddField(
            model_name='event',
            name='ratings',
            field=models.ManyToManyField(blank=True, to='trunk.JudgeRating'),
        ),
        migrations.AddField(
            model_name='event',
            name='university',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trunk.University'),
        ),
    ]
